section.text-document {
  counter-reset: section;

  section.text-document-section {
    counter-increment: section;
    counter-reset: paragraph;

    h3.section-header {
      color: $primary;
    }
  }

  h4.text-document-part-header {
    color: $primary;
  }

  ol.text-document-part-ol {
    margin-left: 0;
    padding-left: 0;
  }

  li.text-document-paragraph {
    display: block;
    margin-bottom: 0.5em;
    margin-left: 2em;
  }

  li.text-document-paragraph::before {
    display: inline-block;
    content: counter(section) '.' counter(paragraph) '.';
    counter-increment: paragraph;
    width: 2em;
    margin-left: -2em;
    margin-right: 0.5em;
  }
}
